Subject: [core] Re: CoRE WG Interim: Private SIDs
From: Vojtech Vilimek <[email-masked]>
To: Laurent Toutain <[email-masked]>
Cc: core <[email-masked]>
Date: Thu, 18 Jun 2026 17:43:30 +0200
List-Id: "Constrained RESTful Environments (CoRE) Working Group list" <core.ietf.org>

Hi Laurent,

On 6/18/26 4:44 PM, Laurent Toutain wrote:
> Ok, it may be to strict, in my opinion we can at least RECOMMAND not to 
> process private SIDs, they  SHOULD only be used for transmission.
>
I like this formulation much more.

> 
>     Section 3. Processing and Interoperability:
>       >  If a YANG Data Model has not been configured for private SID
>       >  translation, its SIDs are transmitted as-is, using their official
>       >  values.  Translation is therefore purely opt-in per model: ...
> 
>     How should the YANG Data Model configuration look like?
> 
> 
> it is not the YANG data model, I wanted to say that a SID not covered by 
> translation are not modified.
> 

The term Data Model as defined in RFC 7950, Terminology:
|   o  data model: A data model describes how data is represented and
|      accessed.

So the term covers all YANG Modules implemented by a server.

> 
> Other SDOs will have a mega-range with a CBOR representation on 5 bytes.
> 

Term mega-range is used by RFC 9595, the SDOs holding PEN numbers will
only receive smaller "normal" range only. For receiving a Mega-range,
a special process is established.

RFC 9595:
| 6.3.  New IANA Registry: YANG-SID Mega-Ranges
|
|  The name of this registry is "YANG-SID Mega-Ranges".  This registry
|  is used to record the delegation of the management of a block of SIDs
|  to a third party (such as Standards Development Organizations (SDOs)
|  or registrars).
| ...

I asked because the IANA YANG SID registry, Mega-Ranges subregistry
does not list any of the mentioned parties.

> That's a very interesting way to compress the identityref value, but it 
> works well only if the SIDs come from the same range.

Exactly, great observation.

Have a nice day!

Best regards,
Vojtech Vilimek
CZ.NIC z. s. p. o.